Howto create a K3b release (stable branch)

1. create a package from the stable branch using the createPackage.sh script:
   createPackage.sh -a k3b -av 0.12 -ab branches/stable/extragear/multimedia --notoplevel -ib branches/stable/l10n
      -is extragear-multimedia --pofiles "k3b libk3b libk3bdevice k3bsetup" --postprocess postprocessk3b.sh --split
      --admin /branches/KDE/3.4/kde-common/admin
      
2. Make sure the version in src/main.cpp, k3b.lsm, README, INSTALL is valid.
   Check the version in libk3b.

3. Create the tarball.

4. Test the tarball. That includes removing any trace of K3b from the test system before and in the ideal
   case compile on a minimal system meaning minimal KDE/QT versions.

5. Upload the tarball to upload.sf.net/incoming and create a release on www.sourceforge.net (or use releaseforge,
   a nice little application which automates the whole sourceforge release thing).

6. Create a news entry on www.k3b.org and update the download page.

7. Promote the release on www.kde-apps.org and freshmeat.net (the latter may also be done with releaseforge)

8. Send an announcement email to:
    k3b-user@lists.sourceforge.net
    k3b-announce@lists.sourceforge.net
    kde-extra-gear@kde.org
    kde-announce@kde.org
